#!/bin/bash -xe

if [ ! -f /etc/tempest/tempest.conf ]
then
    echo "Please put your tempest.conf file to /etc/tempest/"
    exit 1
fi

if [ -n "${REPORT_SUFFIX}" ]
then
    report="report_${REPORT_SUFFIX}"
else
    report='report_'`date +%F_%H-%M`
fi

log=$LOG_DIR/$report.log

cd $LOG_DIR
rm -rf env
tempest init env | tee -a $log
cd env
tempest run $PATTERN | tee -a $log

if [[ "$PATTERN" =~ '-r ' || "$PATTERN" =~ '--regex' || "$PATTERN" =~ '-s' ]]; then
    testr last --subunit | subunit2junitxml > $LOG_DIR/$report.xml
fi

